srtp_event_data_t Struct Reference
Secure RTP » SRTP events and callbacks

srtp_event_data_t is the structure passed as a callback to the event handler function More...

## Data Fields

srtp_t | session
uint32_t | ssrc
srtp_event_t | event

## Detailed Description

The struct srtp_event_data_t holds the data passed to the event handler function.

## Field Documentation

## event

srtp_event_t srtp_event_data_t::event

An enum indicating the type of event.

## session

srtp_t srtp_event_data_t::session

The session in which the event happened.

## ssrc

uint32_t srtp_event_data_t::ssrc

The ssrc in host order of the stream in which
the event happened

The documentation for this struct was generated from the following file:

- srtp.h